Skončila platnost certifikátu balíčku pro počítače Mac.

Platnost certifikátu používaného k podepsání balíčků instalačního programu a aktualizace aplikací Acrobat nebo Reader pro počítače Mac skončila 21. února 2017. Systém macOS začal kvůli konci platnosti certifikátu označovat mnoho instalačních programů a oprav aplikace Acrobat nebo Reader jako nepodepsané nebo prošlé.

Týká se to následující úplných instalačních programů a oprav:

  • Balíčky aplikace Acrobat DC Continuous před verzí 15.016.20041
  • Balíčky aplikace Acrobat Reader DC Continuous před verzí 15.016.20039
  • Balíčky aplikace Acrobat DC 2015 před verzí 15.006.30173
  • Balíčky aplikace Acrobat Reader DC 2015 před verzí 15.006.30172
  • Balíčky aplikací Acrobat a Reader XI před verzí 11.0.17

Když se pokusíte nainstalovat některý z těchto balíčků, zobrazí se následující upozornění:

Platnost certifikátu pro tento balíček instalačního programu skončila.

Jestliže se pokusíte nainstalovat tyto balíčky pomocí příkazového řádku, operační systém Mac instalaci zablokuje a dojde k selhání instalace.

Řešení: Stáhněte si nejnovější verzi nebo opravu.

Úplné instalační programy

Nejnovější úplné instalační programy nejsou tímto problémem zasaženy. Pokud máte balíček úplného instalačního programu aplikace Acrobat/Reader, který zobrazuje upozornění, stáhněte si nejnovější verzi.

Balíčky instalačního programu byly v tomto umístění aktualizovány a s problémy při instalaci pomocí nejnovějších balíčků byste se neměli setkat. 

Opravy

Nejnovější opravy pro všechna provedení aplikací tyto problémy nemají. Společnost Adobe doporučuje nainstalovat nejnovější aktualizace:

  • 15.023.20056 pro aplikace Acrobat a Reader DC Continuous
  • 15.006.30280 pro aplikace Acrobat a Reader 2015
  • 11.0.19 pro opravy aplikací Acrobat a Reader XI

V případě všech těchto balíčků se nezobrazí žádné upozornění a lze je nainstalovat bez jakýchkoli problémů. Pokud však explicitně načtete řetěz certifikátu používaný k podepsání balíčku tak, že kliknete na ikonu „zámku“, zobrazí se následující upozornění na ukončenou platnost certifikátu:

Zpráva o chybě týkající se ukončené platnosti certifikátu

Podpis balíčku je však platný a operační systém instalaci žádným způsobem neblokuje, což můžete ověřit pomocí příkazu pkgutil: 

pkgutil --check-signature <cesta k souboru pkg>

Níže je zobrazen ukázkový výstup terminálu pro balíček aplikace Acrobat 11.0.19, kde je uvedeno, že je balíček podepsaný certifikátem a že jej operační systém vyhodnotil jako důvěryhodný: 

Příkaz pkgutil

Tato práce podléhá licenci Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License.  Na příspěvky ze služeb Twitter™ a Facebook se nevztahují podmínky licence Creative Commons.

Právní upozornění   |   Zásady ochrany osobních údajů online